## org.jfree.data
Class XYBarDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.AbstractIntervalXYDataset
                      org.jfree.data.XYBarDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, DatasetChangeListener, java.util.EventListener, IntervalXYDataset, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset

public class XYBarDataset
extends AbstractIntervalXYDataset
implements IntervalXYDataset, DatasetChangeListener

A dataset wrapper class that converts a standard `XYDataset` into an `IntervalXYDataset` suitable for use in creating XY bar charts.

See Also:
  Serialized Form

Constructor Summary
`XYBarDataset(XYDataset underlying, double barWidth)` Creates a new dataset.

Method Summary
`void` `datasetChanged(DatasetChangeEvent event)` Receives notification of an dataset change event.
`java.lang.Number` `getEndXValue(int series, int item)` Returns the ending X value for the specified series and item.
`java.lang.Number` `getEndYValue(int series, int item)` Returns the ending Y value for the specified series and item.
`int` `getItemCount(int series)` Returns the number of items in a series.
`int` `getSeriesCount()` Returns the number of series in the dataset.
`java.lang.String` `getSeriesName(int series)` Returns the name of a series.
`java.lang.Number` `getStartXValue(int series, int item)` Returns the starting X value for the specified series and item.
`java.lang.Number` `getStartYValue(int series, int item)` Returns the starting Y value for the specified series and item.
`java.lang.Number` `getXValue(int series, int item)` Returns the x-value for an item within a series.
`java.lang.Number` `getYValue(int series, int item)` Returns the y-value for an item within a series.

Methods inherited from class org.jfree.data.AbstractIntervalXYDataset
`getEndX, getEndY, getStartX, getStartY`

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.IntervalXYDataset
`getEndX, getEndY, getStartX, getStartY`

Methods inherited from interface org.jfree.data.XYDataset
`getX, getY`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### XYBarDataset

    public XYBarDataset(XYDataset underlying,
                        double barWidth)

  Creates a new dataset.

Parameters:
  `underlying` - the underlying dataset.
  `barWidth` - the width of the bars.

Method Detail

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the dataset.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    The series count.

### getSeriesName

    public java.lang.String getSeriesName(int series)

  Returns the name of a series.

  Specified by:
    `getSeriesName` in interface `SeriesDataset`
  Specified by:
    `getSeriesName` in class `AbstractSeriesDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The series name.

### getItemCount

    public int getItemCount(int series)

  Returns the number of items in a series.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
  Returns:
    The item count.

### getXValue

    public java.lang.Number getXValue(int series,
                                      int item)

  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Specified by:
    `getXValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value.

### getYValue

    public java.lang.Number getYValue(int series,
                                      int item)

  Returns the y-value for an item within a series.

  Specified by:
    `getYValue` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The y-value (possibly `null`).

### getStartXValue

    public java.lang.Number getStartXValue(int series,
                                           int item)

  Returns the starting X value for the specified series and item.

  Specified by:
    `getStartXValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    The starting X value for the specified series and item.

### getEndXValue

    public java.lang.Number getEndXValue(int series,
                                         int item)

  Returns the ending X value for the specified series and item.

  Specified by:
    `getEndXValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    The ending X value for the specified series and item.

### getStartYValue

    public java.lang.Number getStartYValue(int series,
                                           int item)

  Returns the starting Y value for the specified series and item.

  Specified by:
    `getStartYValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    The starting Y value for the specified series and item.

### getEndYValue

    public java.lang.Number getEndYValue(int series,
                                         int item)

  Returns the ending Y value for the specified series and item.

  Specified by:
    `getEndYValue` in interface `IntervalXYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    The ending Y value for the specified series and item.

### datasetChanged

    public void datasetChanged(DatasetChangeEvent event)

  Receives notification of an dataset change event.

  Specified by:
    `datasetChanged` in interface `DatasetChangeListener`
  Parameters:
    `event` - information about the event.